View Issue Details

IDProjectCategoryView StatusLast Update
0003093Ham Radio DeluxeBugpublic2019-02-24 15:12
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version6.5.0.187 
Target VersionFixed in Version6.5.0.196 
Summary0003093: Satellite Tracker needlessly walks memory at startup
DescriptionAt startup, the Satellite Tracker walks its process address space. The code that does this is poorly-written, and serves no purpose. It produces incorrect results, anyway. It should be removed.
Steps To Reproduce1) Start up Satellite Tracker
2) Use the "View" menu to find the "Logfile" command
3) In the resulting "Logfile" tab, check out the list of modules, base addresses, and version information that are presented.

BUG#1) Most of the information isn't correct.
TagsNo tags attached.
ModuleSatellite Tracking
Sub-ModuleFunctional
Testing Beta Successful

Activities

K7ZCZ

2019-01-25 12:14

administrator   ~0007076

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4761

WA9PIE

2019-02-01 20:17

administrator   ~0007218

Validated

Issue History

Date Modified Username Field Change
2019-01-24 20:49 K7ZCZ New Issue
2019-01-25 12:14 K7ZCZ Assigned To => K7ZCZ
2019-01-25 12:14 K7ZCZ Status new => resolved
2019-01-25 12:14 K7ZCZ Resolution open => fixed
2019-01-25 12:14 K7ZCZ Note Added: 0007076
2019-01-29 22:47 K7ZCZ Fixed in Version => 6.5.0.188
2019-02-01 20:17 WA9PIE Status resolved => closed
2019-02-01 20:17 WA9PIE Testing Not Started => Beta Successful
2019-02-01 20:17 WA9PIE Note Added: 0007218
2019-02-24 14:40 WA9PIE Fixed in Version 6.5.0.188 => 6.5.0.196
2019-02-24 15:12 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe